#include <bits/stdc++.h>
using namespace std;
int V;
int main(){
cin>>V;
if(V==1 or V==2 or V==5)
    cout<<1<<endl;
else if(V==3 or V==4 or V==6 or V==7)
    cout<<2<<endl;
else if(V==8 or V==9)
    cout<<3<<endl;



return 0;}